const { GraphQLList } = require('graphql')
const mongoose = require('mongoose')
const { outputType } = require('../../types/Assets')
const getProjection = require('../../get-projection')

const Asset = mongoose.model('Asset')

module.exports = {
  type: new GraphQLList(outputType),
  args: {},
  resolve (root, args, ctx, ast) {
    const projection = getProjection(ast)

    return Asset
      .find()
      .sort({ dateCreated: 1 })
      .select(projection)
      .exec()
  }
}
